geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Markus Wolf (JIRA)" <...@geronimo.apache.org>
Subject [jira] Created: (GERONIMO-2124) Deploying an EAR with included WAR and there included commons-logging fails
Date Thu, 15 Jun 2006 13:47:31 GMT
Deploying an EAR with included WAR and there included commons-logging fails
---------------------------------------------------------------------------

         Key: GERONIMO-2124
         URL: http://issues.apache.org/jira/browse/GERONIMO-2124
     Project: Geronimo
        Type: Bug
    Security: public (Regular issues) 
  Components: deployment  
    Versions: 1.0    
 Environment: Ubuntu Linux
Java 5.0
Geronimo 1.0 with Tomcat
    Reporter: Markus Wolf


I have an EAR archive containing a WAR archive.
Inside this WAR archiv there is commons-logging bundled.
To hide the commons-logging version from Geronimo the geronimo-web.xml contains a hidden-classes
element with org.apache.commons.logging.
But when a servlet is executed (which uses commons-logging) then there is a stacktrace regarding
the two commons-logging versions.

I got the following stacktrace:
15:39:45,536 ERROR [[/simpleservlet]] StandardWrapper.Throwable
org.apache.commons.logging.LogConfigurationException: org.apache.commons.logging.LogConfigurationException:
org.apache.commons.logging.LogConfigurationException: Invalid class loader hierarchy.  You
have more than one version of 'org.apache.commons.logging.Log' visible, which is not allowed.
(Caused by org.apache.commons.logging.LogConfigurationException: Invalid class loader hierarchy.
 You have more than one version of 'org.apache.commons.logging.Log' visible, which is not
allowed.) (Caused by org.apache.commons.logging.LogConfigurationException: org.apache.commons.logging.LogConfigurationException:
Invalid class loader hierarchy.  You have more than one version of 'org.apache.commons.logging.Log'
visible, which is not allowed. (Caused by org.apache.commons.logging.LogConfigurationException:
Invalid class loader hierarchy.  You have more than one version of 'org.apache.commons.logging.Log'
visible, which is not allowed.))
        at org.apache.commons.logging.impl.LogFactoryImpl.newInstance(LogFactoryImpl.java:543)
        at org.apache.commons.logging.impl.LogFactoryImpl.getInstance(LogFactoryImpl.java:235)
        at org.apache.commons.logging.impl.LogFactoryImpl.getInstance(LogFactoryImpl.java:209)
        at org.apache.commons.logging.LogFactory.getLog(LogFactory.java:351)
        at de.nmmn.simple.SimpleServlet.init(SimpleServlet.java:44)
        at javax.servlet.GenericServlet.init(GenericServlet.java:168)
        at org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.java:1091)
        at org.apache.catalina.core.StandardWrapper.allocate(StandardWrapper.java:750)
        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:130)
        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:178)
        at org.apache.geronimo.tomcat.GeronimoStandardContext$SystemMethodValve.invoke(GeronimoStandardContext.java:272)
        at org.apache.geronimo.tomcat.valve.TransactionContextValve.invoke(TransactionContextValve.java:53)
        at org.apache.geronimo.tomcat.valve.ComponentContextValve.invoke(ComponentContextValve.java:47)
        at org.apache.geronimo.tomcat.valve.InstanceContextValve.invoke(InstanceContextValve.java:60)
        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:126)
        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:105)
        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:107)
        at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:526)
        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:148)
        at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856)
        at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.processConnection(Http11Protocol.java:744)
        at org.apache.tomcat.util.net.PoolTcpEndpoint.processSocket(PoolTcpEndpoint.java:527)
        at org.apache.tomcat.util.net.LeaderFollowerWorkerThread.runIt(LeaderFollowerWorkerThread.java:80)
        at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:684)
        at java.lang.Thread.run(Thread.java:595)
Caused by: org.apache.commons.logging.LogConfigurationException: org.apache.commons.logging.LogConfigurationException:
Invalid class loader hierarchy.  You have more than one version of 'org.apache.commons.logging.Log'
visible, which is not allowed. (Caused by org.apache.commons.logging.LogConfigurationException:
Invalid class loader hierarchy.  You have more than one version of 'org.apache.commons.logging.Log'
visible, which is not allowed.)
        at org.apache.commons.logging.impl.LogFactoryImpl.getLogConstructor(LogFactoryImpl.java:397)
        at org.apache.commons.logging.impl.LogFactoryImpl.newInstance(LogFactoryImpl.java:529)
        ... 24 more
Caused by: org.apache.commons.logging.LogConfigurationException: Invalid class loader hierarchy.
 You have more than one version of 'org.apache.commons.logging.Log' visible, which is not
allowed.
        at org.apache.commons.logging.impl.LogFactoryImpl.getLogConstructor(LogFactoryImpl.java:385)
        ... 25 more


-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira


Mime
View raw message